> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get voice call aggregates per tenant

> Returns aggregated voice call statistics grouped by tenant for the partner platform. Supports optional date range (startDate, endDate).



## OpenAPI

````yaml GET /partner/voice/calls/aggregates
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /partner/voice/calls/aggregates:
    get:
      tags:
        - Partner Voice
      summary: Get voice call aggregates per tenant
      description: >-
        Returns aggregated voice call statistics grouped by tenant for the
        partner platform. Supports optional date range (startDate, endDate).
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: Optional tenant ID to filter aggregates to a single tenant.
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 100
            default: 25
          required: false
          name: limit
          in: query
        - schema:
            type: string
            nullable: true
          required: false
          name: startDate
          in: query
        - schema:
            type: string
            nullable: true
          required: false
          name: endDate
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            tenantExternalId:
                              type: string
                              nullable: true
                            tenantName:
                              type: string
                            totalCalls:
                              type: number
                            transferredCount:
                              type: number
                            totalDurationSecs:
                              type: number
                              nullable: true
                            avgDurationSecs:
                              type: number
                              nullable: true
                            totalCostCents:
                              type: number
                            sentimentPositive:
                              type: number
                            sentimentNegative:
                              type: number
                            sentimentNeutral:
                              type: number
                          required:
                            - tenantExternalId
                            - tenantName
                            - totalCalls
                            - transferredCount
                            - totalDurationSecs
                            - avgDurationSecs
                            - totalCostCents
                            - sentimentPositive
                            - sentimentNegative
                            - sentimentNeutral
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````